## caja-location-widget-provider caja-location-widget-provider |

## Synopsis

                        CajaLocationWidgetProvider;
                        CajaLocationWidgetProviderIface;
    GtkWidget *         caja_location_widget_provider_get_widget
                                                            (CajaLocationWidgetProvider *provider,
                                                             const char *uri,
                                                             GtkWidget *window);

## Object Hierarchy

      GInterface
       +----CajaLocationWidgetProvider

## Prerequisites

CajaLocationWidgetProvider requires GObject.

## Description

## Details

### CajaLocationWidgetProvider

    typedef struct _CajaLocationWidgetProvider CajaLocationWidgetProvider;

### CajaLocationWidgetProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GtkWidget * (*get_widget) (CajaLocationWidgetProvider *provider,
    				   const char                     *uri,
    				   GtkWidget                      *window);
    } CajaLocationWidgetProviderIface;

### caja_location_widget_provider_get_widget ()

    GtkWidget *         caja_location_widget_provider_get_widget
                                                            (CajaLocationWidgetProvider *provider,
                                                             const char *uri,
                                                             GtkWidget *window);

`provider` : |
`uri` : |
`window` : |
Returns : |